import { Visualizer } from '..';
import { IConfigurationAlias, IConfigurationFilter } from '../app/EventSystem/EventTypes';
export declare function formatFilter(filter: IConfigurationFilter, aliasMap?: Array<IConfigurationAlias>): IConfigurationFilter;
export declare function getFilterByName(filterName: string, visualizer: Visualizer): {
    name?: string;
    customFieldName?: string;
    operator?: "not";
    options?: any;
} & {
    name: string;
    options: any;
};
